## org.mortbay.cometd
Interface Transport

All Known Implementing Classes:
  AbstractTransport, JSONPTransport, JSONTransport

    public interface Transport

Method Summary
`boolean` `alwaysResumePoll()`
`void` `complete()`
`Message` `getPollReply()`
`boolean` `isJSONCommented()`
`void` `send(List<Message> messages)`
`void` `send(Message message)`
`void` `setJSONCommented(boolean commented)`
`void` `setPollReply(Message reply)`
`void` `setResponse(HttpServletResponse response)`

Method Detail

### setResponse

    void setResponse(HttpServletResponse response)
                     throws IOException

  Throws:
    `IOException`

### send

    void send(Message message)
              throws IOException

  Throws:
    `IOException`

### send

    void send(List<Message> messages)
              throws IOException

  Throws:
    `IOException`

### complete

    void complete()
                  throws IOException

  Throws:
    `IOException`

### getPollReply

    Message getPollReply()

### setPollReply

    void setPollReply(Message reply)

### setJSONCommented

    void setJSONCommented(boolean commented)

### isJSONCommented

    boolean isJSONCommented()

### alwaysResumePoll

    boolean alwaysResumePoll()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.